# PatternSetNameEntry

"Internal" class for holding an include/exclude pattern.

package | phing.types

### Methods

## Evaluates the pattern.

    evalName(\Project $project) : string

### Arguments

#### $project

`\Project`

### Response

`string`

The pattern or null if it is ruled out by a condition.

## Get the pattern text.

    getName() : string

### Response

`string`

The pattern.

## Sets an if-condition property for this pattern to match.

    setIf(string $cond)

### Arguments

#### $cond

`string`

## Set the pattern text.

    setName(string $name)

### Arguments

#### $name

`string`

The pattern

## An alias for the setName() method.

    setPattern(string $pattern)

see | \PatternSetNameEntry::setName()

### Arguments

#### $pattern

`string`

## Sets an unless-condition property for this pattern to match.

    setUnless(string $cond)

### Arguments

#### $cond

`string`

## Gets a string representation of this pattern.

    toString() : string

### Response

`string`

## Checks whether pattern should be applied based on whether the if and unless properties are set in project.

    valid(\Project $project) : boolean

### Arguments

#### $project

`\Project`

### Response

`boolean`

### Properties

## The pattern.

    name : string

var |

### Type(s)

`string`

## The if-condition property for this pattern to be applied.

    ifCond : string

var |

### Type(s)

`string`

## The unless-condition property for this pattern to be applied.

    unlessCond : string

var |

### Type(s)

`string`